searchNodes=[{"doc":"Multipart constructs multipart messages. It aims to produce multipart messages that are compatible with RFC 2046 for general use, and RFC 7578 for constructing multipart/form-data requests.","ref":"Multipart.html","title":"Multipart","type":"module"},{"doc":"Adds a part to the Multipart message.","ref":"Multipart.html#add_part/2","title":"Multipart.add_part/2","type":"function"},{"doc":"Returns a binary of the Multipart message body. This uses body_stream/1 under the hood.","ref":"Multipart.html#body_binary/1","title":"Multipart.body_binary/1","type":"function"},{"doc":"Returns a Stream of the Multipart message body.","ref":"Multipart.html#body_stream/1","title":"Multipart.body_stream/1","type":"function"},{"doc":"Returns the length of the Multipart message in bytes. It uses the content_length property in each of the message parts to calculate the length of the multipart message without reading the entire body into memory. content_length is set on the Multipart.Part by the constructor functions when possible, such as when the in-memory binary or the file on disk can be inspected. This will throw an error if any of the parts does not have content_length defined.","ref":"Multipart.html#content_length/1","title":"Multipart.content_length/1","type":"function"},{"doc":"Returns the Content-Type header for the Multipart message. iex&gt; multipart = Multipart . new ( &quot;==abc123==&quot; ) iex&gt; Multipart . content_type ( multipart , &quot;multipart/mixed&quot; ) &quot;multipart/mixed; boundary= \\&quot; ==abc123== \\&quot; &quot;","ref":"Multipart.html#content_type/2","title":"Multipart.content_type/2","type":"function"},{"doc":"Create a new Multipart request. Pass in the boundary as the first argument to set it explicitly, otherwise it will default to a random 16 character alphanumeric string padded by == on either side.","ref":"Multipart.html#new/1","title":"Multipart.new/1","type":"function"},{"doc":"","ref":"Multipart.html#t:t/0","title":"Multipart.t/0","type":"type"},{"doc":"Represents an individual part of a Multipart message.","ref":"Multipart.Part.html","title":"Multipart.Part","type":"module"},{"doc":"Builds a Part with a binary body. Set the content_length of the Part to the length of the binary.","ref":"Multipart.Part.html#binary_body/2","title":"Multipart.Part.binary_body/2","type":"function"},{"doc":"Builds a Part with a streaming file body. Set the content_length of the Part to the size of the file on disk, as inspected with File.stat .","ref":"Multipart.Part.html#file_body/2","title":"Multipart.Part.file_body/2","type":"function"},{"doc":"Builds a form-data Part with a streaming file body. Takes the following Keyword options in opts : filename : controls the inclusion of the filename=&quot;foo&quot; directive in the content-disposition header. Defaults to true , which uses the filename from the path on disk. Pass in a String to override this, or set to false to disable this directive. content_type : controls the inclusion of the content-type header. Defaults to true which will use MIME.from_path/1 to detect the mime type of the file. Pass in a String to override this, or set to false to disable this header.","ref":"Multipart.Part.html#file_field/4","title":"Multipart.Part.file_field/4","type":"function"},{"doc":"Builds a Part with a Stream body. Because the length of the Stream cannot be known up front it doesn't define the content_length . This will cause Multipart.content_length/1 to error unless you set the content_length manually in the struct.","ref":"Multipart.Part.html#stream_body/2","title":"Multipart.Part.stream_body/2","type":"function"},{"doc":"Builds a form-data Part with a streaming body.","ref":"Multipart.Part.html#stream_field/3","title":"Multipart.Part.stream_field/3","type":"function"},{"doc":"Builds a form-data Part with a text body.","ref":"Multipart.Part.html#text_field/3","title":"Multipart.Part.text_field/3","type":"function"},{"doc":"","ref":"Multipart.Part.html#t:body/0","title":"Multipart.Part.body/0","type":"type"},{"doc":"","ref":"Multipart.Part.html#t:headers/0","title":"Multipart.Part.headers/0","type":"type"},{"doc":"","ref":"Multipart.Part.html#t:name/0","title":"Multipart.Part.name/0","type":"type"},{"doc":"","ref":"Multipart.Part.html#t:t/0","title":"Multipart.Part.t/0","type":"type"}]